# isPrototype abstract method

Future<bool> isPrototype(

1. String podName

)

Checks if the specified pod is configured as a prototype.

Prototype pods create a new instance every time they are requested.

## Usage Example:

    if (await factory.isPrototype('requestContext')) {
      print('RequestContext is a prototype - new instance for each request');
    }

@param podName The name of the pod to check @return A Future that completes with true if the pod is a prototype

## Implementation

    Future<bool> isPrototype(String podName);